# AESZipInfo

class AESZipInfo(*args, **kwargs)

  Class with attributes describing each file in the ZIP archive.

  Attributes Summary

  `wz_aes_version` |
  `wz_aes_vendor_id` |
  `wz_aes_strength` |
  `CRC` |
  `comment` |
  `compress_size` |
  `compress_type` |
  `create_system` |
  `create_version` |
  `date_time` |
  `external_attr` |
  `extra` |
  `extract_version` |
  `file_size` |
  `filename` |
  `flag_bits` |
  `header_offset` |
  `internal_attr` |
  `is_compressed_patch_data` |
  `is_encrypted` |
  `is_strong_encryption` |
  `is_utf_filename` | Return True if filenames are encoded in UTF-8.
  `orig_filename` |
  `reserved` |
  `use_datadescripter` | Returns True if datadescripter is in use.
  `volume` |

  Methods Summary

  `FileHeader` | Return the per-file header as a string.
  `central_directory` |
  `datadescripter` |
  `decode_extra_wz_aes` |
  `decode_extra_zip64` |
  `encode_central_directory` |
  `encode_datadescripter` |
  `encode_extra` |
  `encode_local_header` |
  `from_file` | Construct an appropriate ZipInfo for a file on the filesystem.
  `get_dosdate` |
  `get_dostime` |
  `get_extra_decoders` |
  `is_dir` | Return True if this archive member is a directory.
  `zip64_central_header` |
  `zip64_local_header` | If zip64 is required, return encoded extra block and other parameters which may alter the local file header.

  Methods Documentation

  FileHeader(zip64=None)

    Return the per-file header as a string.

  central_directory()
  datadescripter(zip64)
  decode_extra_wz_aes(ln, extra)
  decode_extra_zip64(ln, extra, is_central_directory=True)
  encode_central_directory(*, crc, compress_type, extra_data, **kwargs)
  encode_datadescripter(zip64, crc, compress_size, file_size)
  encode_extra(crc, compress_type)
  encode_local_header(*, crc, compress_type, extra, **kwargs)
  classmethod from_file(filename, arcname=None, *, strict_timestamps=True)

    Construct an appropriate ZipInfo for a file on the filesystem.

    filename should be the path to a file or directory on the filesystem.

    arcname is the name which it will have within the archive (by default, this will be the same as filename, but without a drive letter and with leading path separators removed).

  get_dosdate()
  get_dostime()
  get_extra_decoders()
  is_dir()

    Return True if this archive member is a directory.

  zip64_central_header()
  zip64_local_header(zip64, file_size, compress_size)

    If zip64 is required, return encoded extra block and other parameters which may alter the local file header.

    The local zip64 entry requires that, if the zip64 block is present, it must contain both file_size and compress_size. This is different to the central directory zip64 extra block which requires only fields which need the extra zip64 size be present in the extra block.